## v1.1.x to v1.2.x

With v1.2 we made it possible to run multiple jails of the same type.
This is done by seperating jails (your individual installs) from blueprints (our designs).

Due to this change, the config file has been changed and thus you need to adapt your config file.


### Jails

All your jails need to be indented by 2 spaces under a main group "jails" like this:

`
jail:
  plex: 
    blueprint: plex
    ip4_addr: 192.168.1.99/24
    gateway: 192.168.1.1
    beta: false
`

Also note:
Where previously we used `plex: plex`, we can now just use `plex:`

### Blueprints

Every jail now requires a blueprint to be defined. for example:
v1.1.x
`

plex: plex
  ip4_addr: 192.168.1.99/24
  gateway: 192.168.1.1
  plexpass: false
`

In v1.2.x becomes:
`
jail:
  plex: 
    blueprint: plex
    ip4_addr: 192.168.1.99/24
    gateway: 192.168.1.1
    beta: false
`

### Plex

Due to community feedback in v1.2.x "plexpass" has been renamed to "beta".

### pkgs

pkgs are removed from jail config in v1.2.x and are now part of the blueprint. This way we can keep them up-to-date for you.

### Documentation

All jails now have wiki documentation pages and all basic jail values have been documented

### Other changes

Some other minor changes in config file values have been done, please refer to the example document and compare your config to the example